Arch Tubo

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Pipe and the translation is 100% complete.

Other languages:
English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский
Arrow-left.svg Arch CompPipe.png Tubazioni Pagina precedente:
Pagina successiva: Raccordo Arch PipeConnector.svg Arrow-right.svg

Arch Pipe.svg Tubo

Posizione nel menu
Arch → Tubazioni → Tubo
Ambiente
Arch
Avvio veloce
P I
Introdotto nella versione
-
Vedere anche
Raccordo, Arredo


Descrizione

Questo strumento permette di creare delle tubazioni partendo da zero, o dagli oggetti selezionati. Gli oggetti selezionati devono essere Part-based (Draft, Schizzo, ecc ..) e contenere una e una sola polilinea (wire) aperta,

Uso

  1. Facoltativamente, selezionare una forma Part lineare come una Linea, una Wire o uno Schizzo aperto.
  2. Premere il pulsante Arch Pipe.svg Tubo, o premere i tasti P e poi I.

Opzioni

  • Gli elementi Tubo condividono le proprietà e i comportamenti comuni di tutti i Componenti Arch

Proprietà

  • DATILength: Imposta la lunghezza del tubo, quando non si basa su una polilinea
  • DATIDiameter: Il diametro del tubo, quando non si basa su un profilo
  • DATIBase: L'eventuale polilinea su cui si basa il tubo
  • DATIProfile: Il profilo di base del tubo. Se non è dato, il tubo è di forma cilindrica.

Flusso di lavoro tipico

  • Iniziare collocando degli apparecchi sanitari o idraulici (il wc della figura sottostante è un file step importato). Commutare questi oggetti in Arch Equipment selezionandoli e premendo il tasto Arredo.

Arch pipe example 01.jpg

  • Gli oggetti Arch Equipment ora hanno una nuova proprietà SnapPoints, che è una lista di vettori 3D. Questo consente di aggiungere dei punti di aggancio personalizzati, a cui è possibile ancorarsi quando il nuovo tasto snap Speciale è attivo. Attualmente però la proprietà è disponibile solo per python. Nel caso sopra è stato aggiunto un nuovo punto di snap all'uscita dell'apparecchio wc. I vettori all'interno di SnapPoints appaiono sul modello come puntini bianchi:
FreeCAD.ActiveDocument.Equipment.SnapPoints=[FreeCAD.Vector(0,0,100)]

Arch pipe example 02.jpg

  • Con il nuovo "Snap Speciale" di Draft è possibile agganciarsi a questi punti personalizzati:

Arch pipe example 03.jpg

  • Ora è possibile disegnare le tubazioni con Linee e Polilineee di Draft, o con Schizzi. Comunque, il modo migliore è quello di usare solo Linee di Draft:

Arch pipe example 04.jpg

  • Vi è ora un nuovo strumento Pendenza che permette di modificare la pendenza delle linee Draft, per esempio del 5% (0.05). Così si può rapidamente dare alle linee delle tubazioni di scarico una pendenza corretta. Questo strumento modifica solo le coordinate z, quindi basta agganciarle l'un l'altra, la proiezione dall'alto resta invariata.

Arch pipe example 05.jpg

  • Ora basta selezionare tutte le linee, e premere il pulsante Tubo. Arch Tubo funziona con qualsiasi oggetto Part-based che contenga una e una sola polilinea aperta.

Arch pipe example 06.jpg

  • Ora si possono creare le connessioni selezionando 2 o 3 tubi coincidenti, e premendo il tasto Raccordo. Se sono selezionati 3 tubi, due di essi devono essere allineati per creare un elemento tee o braga:

Arch pipe example 07.jpg

  • Cambiando il raggio dei raccordi non si non cambia la lunghezza della linea di base sottostante, ma solo la lunghezza del tubo risultante (dato che cambia la sua proprietà OffsetStart o OffsetEnd). Così si può disegnare il percorso solo con linee rette, senza doversi preoccupare delle curve e dei raggi.

È anche possibile creare Tubi Arch senza una linea di base, in questo caso utilizzare la proprietà "Length" per definire la lunghezza.

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Tubo può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

Pipe = makePipe(baseobj=None, diameter=0, length=0, placement=None, name="Pipe")
  • Creates a Pipe object from the given baseobj and diameter.
    • baseobj is a Draft Line or Draft Wire.
    • If baseobj is omitted, a straight pipe can be created with just the diameter and the length in the Z direction.
  • If a placement is given, it is used.
import Draft, Arch

p1 = FreeCAD.Vector(1000, 0, 0)
p2 = FreeCAD.Vector(2500, 200, 0)
p3 = FreeCAD.Vector(3100, 1000, 0)
p4 = FreeCAD.Vector(3500, 500, 0)
Line = Draft.makeWire([p1, p2, p3, p4])

Pipe = Arch.makePipe(Line, 200)
FreeCAD.ActiveDocument.recompute()

Pipe2 = Arch.makePipe(diameter=120, length=3000)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch CompPipe.png Tubazioni Pagina precedente:
Pagina successiva: Raccordo Arch PipeConnector.svg Arrow-right.svg